Inhalte
Index 🔎︎

# Vergleichsoperatoren

Vergleichsoperatoren vergleichen zwei Ausdrücke. Das Ergebnis wird als boolescher Ausdruck zurückgegeben, der angibt, ob der Vergleich True (-1) oder False (0) ergeben hat.

## Syntax:

    Ergebnis = { = | < | > | <= | >= } Ausdruck2

## Parameter:

Ergebnis: Logischer Ausdruck, der das Ergebnis des Vergleichs angibt (True oder False)

Ausdruck1, Ausdruck2: Beliebige zu vergleichende numerische Werte oder Zeichenketten.

## Vergleichsoperatoren

= : gleich

< : kleiner als

> : größer als

<= : kleiner gleich

>= : größer gleich

<> : ungleich

## Beispiel:

    Sub ExampleUnequal
    Dim sFile As String
    Dim sRoot As String ' Verzeichnis ab dem alle Dateien und Verzeichnisse ausgegeben werden
        sRoot = "c:\"
        sFile = Dir$( sRoot ,22)
        If sFile <> "" Then
            Do
                MsgBox sFile
                sFile = Dir$
            Loop Until sFile = ""
        End If
    End Sub